# TensorFlow Serving

## Introduction

TensorFlow Serving is a flexible, high-performance serving system for machine
learning models, designed for production environments. TensorFlow Serving
makes it easy to deploy new algorithms and experiments, while keeping the same
server architecture and APIs.

## Basic Serving Tutorial

See the [basic tutorial](https://tensorflow.github.io/serving/serving_basic)
on the TensorFlow Serving site to learn how to export a trained TensorFlow
model and build a server to serve the exported model.

## Advanced Serving Tutorial

See the
[advanced tutorial](https://tensorflow.github.io/serving/serving_advanced)
on the TensorFlow Serving site to learn how to build a server that
dynamically discovers and serves new versions of a trained TensorFlow
model.

## Serving Inception Model Tutorial

See the
[serving inception tutorial](https://tensorflow.github.io/serving/serving_inception)
on the TensorFlow Serving site to learn how to serve the inception model with
TensorFlow Serving and Kubernetes.

